local fn = _gn(0xe7490533)
--- Requests a resource file set with the specified name to be downloaded and mounted on top of the current resource.
-- Resource file sets are specified in `fxmanifest.lua` with the following syntax:
-- ```lua
-- file_set 'addon_ui' {
-- 'ui/addon/index.html',
-- 'ui/addon/**.js',
-- }
-- ```
-- This command will trigger a script error if the request failed.
-- @param setName The name of the file set as specified in `fxmanifest.lua`.
-- @return `TRUE` if the set is mounted, `FALSE` if the request is still pending.
function Global.RequestResourceFileSet(setName)
	return fn(_ts(setName), _r)
end
